package tutorialJava.examenes.examen20250616.controlador;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.List;

import tutorialJava.examenes.examen20250616.modelo.Equipo;

public class ControladorEquipo {

	public static List<Equipo> findAll () {
		List<Equipo> list = new ArrayList<Equipo>();
		
		try {
			Connection conn = ConnectionManager.getConnection();
			PreparedStatement ps = conn.prepareStatement(
					"select * from equipo");
			ResultSet rs = ps.executeQuery();
			while (rs.next()) {
				Equipo e = new Equipo();
				e.setId(rs.getInt("id"));
				e.setDescripcion(rs.getString("descripcion"));
				list.add(e);
			}
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
		
		return list;
	}
	
	

}







